Groups - Get
Get a specific group.
Get information related to a specific group in the project. Returns a json object of type 'group' as specified in the models section.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentProjects/{projectName}/groups/{groupName}?api-version=2019-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
Unique name of a group within a project. |
|
project
|
path | True |
string |
Name of the Azure Migrate project. |
|
resource
|
path | True |
string |
Name of the Azure Resource Group that project is part of. |
|
subscription
|
path | True |
string |
Azure Subscription Id in which project was created. |
|
api-version
|
query | True |
string |
Standard request header. Used by service to identify API version used by client. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Returns the group with the specified name. Headers x-ms-request-id: string |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Groups_Get
Sample request
GET https://management.azure.com/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westEurope/providers/Microsoft.Migrate/assessmentProjects/abgoyalWEselfhostb72bproject/groups/Test1?api-version=2019-10-01
Sample response
{
"id": "/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westeurope/providers/Microsoft.Migrate/assessmentprojects/abgoyalWEselfhostb72bproject/groups/Test1",
"name": "Test1",
"eTag": "\"21009c31-0000-0d00-0000-5cd585ad0000\"",
"type": "Microsoft.Migrate/assessmentprojects/groups",
"properties": {
"groupStatus": "Completed",
"machineCount": 26,
"assessments": [
"/subscriptions/6393a73f-8d55-47ef-b6dd-179b3e0c7910/resourceGroups/abgoyal-westeurope/providers/Microsoft.Migrate/assessmentprojects/abgoyalWEselfhostb72bproject/groups/Test1/assessments/assessment_5_9_2019_16_22_14"
],
"areAssessmentsRunning": false,
"createdTimestamp": "2019-05-09T10:52:07.7368474Z",
"updatedTimestamp": "2019-05-10T14:07:41.752989Z"
}
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the Azure Migrate service. |
|
Cloud |
An error response from the Azure Migrate service. |
| Group |
A group created in a Migration project. |
|
Group |
Properties of group resource. |
|
Group |
Whether the group has been created and is valid. |
CloudError
An error response from the Azure Migrate service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the Azure Migrate service. |
CloudErrorBody
An error response from the Azure Migrate service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
Group
A group created in a Migration project.
| Name | Type | Description |
|---|---|---|
| eTag |
string |
For optimistic concurrency control. |
| id |
string |
Path reference to this group. /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentProjects/{projectName}/groups/{groupName} |
| name |
string |
Name of the group. |
| properties |
Properties of the group. |
|
| type |
string |
Type of the object = [Microsoft.Migrate/assessmentProjects/groups]. |
GroupProperties
Properties of group resource.
| Name | Type | Description |
|---|---|---|
| areAssessmentsRunning |
boolean |
If the assessments are in running state. |
| assessments |
string[] |
List of References to Assessments created on this group. |
| createdTimestamp |
string (date-time) |
Time when this group was created. Date-Time represented in ISO-8601 format. |
| groupStatus |
Whether the group has been created and is valid. |
|
| groupType |
string |
The type of group. |
| machineCount |
integer (int32) |
Number of machines part of this group. |
| updatedTimestamp |
string (date-time) |
Time when this group was last updated. Date-Time represented in ISO-8601 format. |
GroupStatus
Whether the group has been created and is valid.
| Value | Description |
|---|---|
| Created | |
| Updated | |
| Running | |
| Completed | |
| Invalid |